Last Comment Bug 646070 - Respect chrome developer tools preference in workspace
: Respect chrome developer tools preference in workspace
Status: VERIFIED FIXED
[workspace][patchclean:0420][fixed-in...
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 6
Assigned To: Mihai Sucan [:msucan]
:
:
Mentors:
Depends on: 636725 642176
Blocks: 646524
  Show dependency treegraph
 
Reported: 2011-03-29 08:49 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-05-27 01:24 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed patch (11.97 KB, patch)
2011-04-12 13:08 PDT, Mihai Sucan [:msucan]
rcampbell: feedback+
Details | Diff | Splinter Review
updated patch (11.39 KB, patch)
2011-04-15 13:39 PDT, Mihai Sucan [:msucan]
sdwilsh: review+
Details | Diff | Splinter Review
[checked-in][in-devtools] rebased patch (11.38 KB, patch)
2011-04-20 01:34 PDT, Mihai Sucan [:msucan]
no flags Details | Diff | Splinter Review

Description Rob Campbell [:rc] (:robcee) 2011-03-29 08:49:41 PDT
We should have a global preference for enabling chrome development that all of the developer tools respect.

For the Workspace, we should disable the "Context" menu with this preference disabled and show it when enabled.

I think the pref should be called something like "devtools.chrome.enabled"
Comment 1 Mihai Sucan [:msucan] 2011-03-30 13:01:54 PDT
Taking the bug.
Comment 2 Mihai Sucan [:msucan] 2011-04-12 13:08:43 PDT
Created attachment 525482 [details] [diff] [review]
proposed patch

Proposed patch with a mochitest included.

Please note that this patch requires the patches from bug 636725 and bug 642176.

Looking forward to your feedback!
Comment 3 Rob Campbell [:rc] (:robcee) 2011-04-15 09:00:08 PDT
Comment on attachment 525482 [details] [diff] [review]
proposed patch

I think this looks OK.
Comment 4 Mihai Sucan [:msucan] 2011-04-15 13:39:36 PDT
Created attachment 526360 [details] [diff] [review]
updated patch

Updated the patch. Rebased on top of the latest attachment 526358 [details] [diff] [review] from bug 636725 and I also made changes based on previous review comments.

Thanks for the feedback+ Robert!
Comment 5 Shawn Wilsher :sdwilsh 2011-04-15 14:39:41 PDT
Comment on attachment 526360 [details] [diff] [review]
updated patch

r=sdwilsh
Comment 6 Mihai Sucan [:msucan] 2011-04-16 00:59:03 PDT
Shawn, thanks for the r+!
Comment 7 Mihai Sucan [:msucan] 2011-04-20 01:34:18 PDT
Created attachment 527215 [details] [diff] [review]
[checked-in][in-devtools] rebased patch

Rebased the patch.
Comment 8 Rob Campbell [:rc] (:robcee) 2011-04-21 07:02:55 PDT
Comment on attachment 527215 [details] [diff] [review]
[checked-in][in-devtools] rebased patch

http://hg.mozilla.org/projects/devtools/rev/8227473480f5
Comment 9 Rob Campbell [:rc] (:robcee) 2011-05-09 12:26:38 PDT
Comment on attachment 527215 [details] [diff] [review]
[checked-in][in-devtools] rebased patch

http://hg.mozilla.org/mozilla-central/rev/8227473480f5
Comment 10 AndreiD[QA] 2011-05-27 01:24:13 PDT
Verified fixed on:
Windows 7:
Mozilla/5.0 (Windows NT 6.1; rv:6.0a2) Gecko/20110525 Firefox/6.0a2
Window XP:
Mozilla/5.0 (Windows NT 5.1; rv:6.0a2) Gecko/20110525 Firefox/6.0a2
Mac OS 10.6
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0a2) Gecko/20110525 Firefox/6.0a2 
Linux i686:
Mozilla/5.0 (X11; Linux i686; rv:6.0a2) Gecko/20110525 Firefox/6.0a2

*Note: The option devtools.chrome.enabled is available. Marking this bug as Verified

Note You need to log in before you can comment on or make changes to this bug.